This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 140904 - mozilla and mozilla-based browsers crash when attempting to print if env PRINTER is set to non-existing printer
mozilla and mozilla-based browsers crash when attempting to print if env PRIN...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-26 04:14 EST by Piero Serini
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-31 11:13:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Piero Serini 2004-11-26 04:14:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020 Galeon/1.3.18

Description of problem:
mozilla and mozilla-based browsers (firefox, galeon, etc.) crash
(die of SIGSEGV) when attempting to print (selecting File->Print)
if environment variable 'PRINTER' is set to non-existing printer.

strace and ltrace show the SIGSEGV occurs in a strncasecmp.


Version-Release number of selected component (if applicable):
mozilla-1.7.3-17

How reproducible:
Always

Steps to Reproduce:
1. export PRINTER=foobar # assuming no printer named 'foobar' exists
2. launch mozilla/firefox/galeon
3. Select File -> Print

    

Actual Results:  SIGSEGV

Expected Results:  popup of printing menu

Additional info:

workaround: unset PRINTER, or set it to a correct PRINTER.

Nonetheless, there may be a good reason for having it set to
something not in /etc/printcap.
Comment 1 Matthew Miller 2006-07-10 16:45:12 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Thacker 2006-10-31 11:13:56 EST
Works fine in RHEL4 and FC6.  Suspect that it got fixed upstream.

Note You need to log in before you can comment on or make changes to this bug.